GNU bug report logs - #46206
24.3; rectangle kill not working properly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: SomeGuy <tronjet66@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 46206 <at> debbugs.gnu.org and SomeGuy <tronjet66@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46206 <at> debbugs.gnu.org:


Received: (at 46206) by debbugs.gnu.org; 1 Mar 2021 15:16:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 10:16:27 2021
Received: from localhost ([127.0.0.1]:50333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGkHa-0004VD-Dc
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 10:16:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGkHZ-0004Uv-2I
 for 46206 <at> debbugs.gnu.org; Mon, 01 Mar 2021 10:16:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hw4lg5L76MTGbg1qCnvnf+i8BY5XbDJ8nETI3HTRFQ8=; b=eZoV1Yk5OOQG6uTrqe4rM8YaK5
 vE8Df18cTeJbZQ0Ho4MvA9cemhRcCZd+LX2clh056lS3fTTqgjDBNHrscYb0K3W52vi2u5XYFEQHA
 gZDnV32+weZ87Ye+aodCod7L5deurcP7aGPGlQrCUEFIGnyvdlIt7a7vCbBIkj2rtzeg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGkHO-00030U-Ix; Mon, 01 Mar 2021 16:16:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: SomeGuy <tronjet66@HIDDEN>
Subject: Re: bug#46206: 24.3; rectangle kill not working properly
References: <vxisft2hslxf.fsf@HIDDEN> <87bld4qh9g.fsf@HIDDEN>
X-Now-Playing: Stephen Mallinder's _Um Dada_: "Um Dada"
Date: Mon, 01 Mar 2021 16:16:13 +0100
In-Reply-To: <87bld4qh9g.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 01 Feb 2021 10:17:15 +0100")
Message-ID: <87czwi7vlu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > It's not quite
 clear what you mean here -- do you have a recipe to > reproduce this problem, 
 starting from "emacs -Q"? > > I tried > > M-<space> > moved point around
 > C-x r k > C-x r y > > and thin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46206
Cc: 46206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> It's not quite clear what you mean here -- do you have a recipe to
> reproduce this problem, starting from "emacs -Q"?
>
> I tried
>
> M-<space>
> moved point around
> C-x r k
> C-x r y
>
> and things worked as expected (in emacs-26, which is the oldest Emacs I
> have here).

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46206; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46206 <at> debbugs.gnu.org:


Received: (at 46206) by debbugs.gnu.org; 1 Feb 2021 09:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 01 04:17:34 2021
Received: from localhost ([127.0.0.1]:58799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l6VKw-0005Jf-Jz
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2021 04:17:34 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l6VKu-0005Fu-UW
 for 46206 <at> debbugs.gnu.org; Mon, 01 Feb 2021 04:17:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=p3soMe1IudKpbfcJWHSG+wv8DTF2S5JTB0CMfPq9034=; b=uhXGa/Fa0qK0psdeJmt59bQMuP
 Gqcg8eyvMCay6HjOvKKkbA8sTg8gSmCqNMuIaDH9MiuiGcOUgCS7b/UEVjW6nROvMebgZSvOb2i05
 hAxnlNd7neHQLIghw40/n2A9C9bP5K9wMcL2X1fhkyNptqNLuXvJS/kwZnH5iuWIz2aI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l6VKe-0007Qt-RI; Mon, 01 Feb 2021 10:17:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: SomeGuy <tronjet66@HIDDEN>
Subject: Re: bug#46206: 24.3; rectangle kill not working properly
References: <vxisft2hslxf.fsf@HIDDEN>
X-Now-Playing: Normil Hawaiians's _What's Going On?_: "Quiet Village"
Date: Mon, 01 Feb 2021 10:17:15 +0100
In-Reply-To: <vxisft2hslxf.fsf@HIDDEN> (SomeGuy's message of
 "Sat, 30 Jan 2021 22:41:16 -0700")
Message-ID: <87bld4qh9g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: SomeGuy <tronjet66@HIDDEN> writes: > When I attempt to
 kill a rectangle that spans multiple lines,
 the kill > is not getting everything
 and yank makes it worse, as this yank usually > does not go to the right
 place and typically overwr [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46206
Cc: 46206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

SomeGuy <tronjet66@HIDDEN> writes:

> When I attempt to kill a rectangle that spans multiple lines, the kill
> is not getting everything and yank makes it worse, as this yank usually
> does not go to the right place and typically overwrites other text.

It's not quite clear what you mean here -- do you have a recipe to
reproduce this problem, starting from "emacs -Q"?

I tried

M-<space>
moved point around
C-x r k
C-x r y

and things worked as expected (in emacs-26, which is the oldest Emacs I
have here).

> In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.30)

Emacs 24.3 is very old, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46206; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2021 08:57:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 31 03:57:09 2021
Received: from localhost ([127.0.0.1]:56371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l68Xc-0000dQ-Oc
	for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 03:57:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:56098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <u1181592@HIDDEN>) id 1l65a4-0002EJ-OM
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 00:47:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56434)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <u1181592@HIDDEN>)
 id 1l65a4-0003IC-Fo
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 00:47:28 -0500
Received: from ipo2.cc.utah.edu ([155.97.144.12]:14183)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <u1181592@HIDDEN>)
 id 1l65a2-0004Sv-LQ
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 00:47:28 -0500
IronPort-SDR: m+megYQfsE8KXBtnj5AUQvV4COC9h/8WEUZ7EEPzApdas1HzNcKTOflohrp7sG82iykJGKdTe+
 zdWOWw/vZw+ySsQjoLsbvH1ZlpsQaCKKND/oi6Vwh5DwMQmxZ2E2aaIB+oEDdHT9RUUyCLuyD8
 nayB3VdFiAKUVAHDeDOQCsmm/bkqQ4NGAo2bCbJc9z2LGI6DjkIqlB25iVZWkLjdE9ixQ5Z0OW
 NxKA8iC7sE1dBcsId2u7zPi2Yb5BszOXPKXUOdiLPLrPgyqCapYgy5zE46xNnI+Bf2xkhDdzFT
 usw=
X-IronPort-AV: E=Sophos;i="5.79,389,1602568800"; d="scan'208";a="440504310"
Received: from lab1-12.eng.utah.edu ([155.98.111.61])
 by ipo2smtp.utah.edu with ESMTP/TLS/ECDHE-RSA-AES256-GCM-SHA384;
 30 Jan 2021 22:41:16 -0700
Received: by lab1-12.eng.utah.edu (Postfix, from userid 189835)
 id 0D6DF100CF9BE; Sat, 30 Jan 2021 22:41:16 -0700 (MST)
From: SomeGuy <tronjet66@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; rectangle kill not working properly
Date: Sat, 30 Jan 2021 22:41:16 -0700
Message-ID: <vxisft2hslxf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=155.97.144.12;
 envelope-from=u1181592@HIDDEN; helo=ipo2.cc.utah.edu
X-Spam_score_int: 3
X-Spam_score: 0.3
X-Spam_bar: /
X-Spam_report: (0.3 / 5.0 requ) BAYES_00=-1.9, FORGED_HOTMAIL_RCVD2=0.874,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 SPOOFED_FREEMAIL=1.5 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 31 Jan 2021 03:57:06 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

When I attempt to kill a rectangle that spans multiple lines, the kill
is not getting everything and yank makes it worse, as this yank usually
does not go to the right place and typically overwrites other text.

r



In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.30)
 of 2019-11-01 on x86-vm-21.build.eng.bos.redhat.com
System Description:	Red Hat Enterprise Linux Server release 7.9 (Maipo)

Configured using:
 `configure '--build=x86_64-redhat-linux-gnu'
 '--host=x86_64-redhat-linux-gnu' '--program-prefix='
 '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr'
 '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc'
 '--datadir=/usr/share' '--includedir=/usr/include'
 '--libdir=/usr/lib64' '--libexecdir=/usr/libexec'
 '--localstatedir=/var' '--sharedstatedir=/var/lib'
 '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus'
 '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xft' '--with-xpm' '--with-x-toolkit=gtk3' '--with-gpm=no'
 'build_alias=x86_64-redhat-linux-gnu'
 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
 -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro ''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C++/l

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O A ESC O B f a i l u r e M s g 
. a DEL DEL = DEL + = " s t DEL DEL S t a n d a r DEL 
DEL DEL DEL DEL DEL DEL N o SPC a r g s SPC c o n s 
t DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
n o SPC DEL - a r g s SPC c o n s t r u c t o r " ; 
RET r e t u r n SPC t r u e ; C-@ ESC O D ESC O D ESC 
O D ESC O A ESC O D ESC O D ESC O D ESC O D ESC O D 
ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC 
O D ESC O D C-x r k C-x u ESC O B ESC O C ESC O C ESC 
O C ESC O A ESC O C C-@ ESC O B ESC O C ESC O C ESC 
O C ESC O C ESC O C ESC O C ESC O C ESC O C ESC O C 
ESC O C ESC O C ESC O C C-x r k C-x r y C-x u C-x u 
ESC m x DEL ESC x r e p o r t - e m a g DEL c s - b 
u g RET

Recent messages:
Wrote /home/u1181592/Desktop/CS3505/A2/test_pntvec.cpp
Saving file /home/u1181592/Desktop/CS3505/A2/test_pntvec.cpp...
Wrote /home/u1181592/Desktop/CS3505/A2/test_pntvec.cpp
Mark set
Undo!
Mark set
Auto-saving...done
Mark set
Undo! [2 times]
Auto-saving...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils rect kmacro cc-langs cl cl-lib cc-mode
cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to SomeGuy <tronjet66@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46206; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Mar 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.